Hi,

attached is a patch which simplifies the samba_version_string() function and
allows to override it.

This way it doesn't leak any memory (one valgrind warning less) and allows
vendors to replace the whole function with their own.

Cheers,


-- andreas

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)
Comment: Using GnuPG with SUSE - http://enigmail.mozdev.org

iEYEARECAAYFAkh7cH4ACgkQYZ3sMXvCEKuHVwCffMwQzX3Lkf Bc6KYtvyO/YlGn
L2wAnRQyvmLcHwoU2CqpPdCLJxBf++oE
=lLuc
-----END PGP SIGNATURE-----